<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>applyBoundaryConditionsTransport &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>applyBoundaryConditionsTransport
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.3% of total for procedures.">64 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/transportEq.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/transporteq.f03.html'>transportEq.f03</a></li>
    
     <li><a href='../module/transporteq.html'>transportEq</a></li>
    
  
     <li class="active">applyBoundaryConditionsTransport</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public subroutine applyBoundaryConditionsTransport(this, field, diffCoeff, convCoeff)
    
    
   
</h2>
    
  


    
    <p>applyBoundaryConditionsTransport applies the boundary conditions for the target transport equation.</p>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-this%7E130"></span>class(<a href='../type/transporteqn.html'>transportEqn</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-field%7E48"></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-diffcoeff%7E2"></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>diffCoeff</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-convcoeff"></span>type(flubioField),</td>
  <td></td>
  <td>optional</td>
  
  <td></td><td>::</td>
  <td><strong>convCoeff</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~applyboundaryconditionstransport~~CallsGraph Pages: 1 -->
<svg id="procapplyboundaryconditionstransportCallsGraph" width="632pt" height="410pt"
 viewBox="0.00 0.00 632.00 410.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~applyboundaryconditionstransport~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 406)">
<title>proc~~applyboundaryconditionstransport~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-406 628,-406 628,4 -4,4"/>
<!-- proc~applyboundaryconditionstransport -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_node1" class="node">
<title>proc~applyboundaryconditionstransport</title>
<polygon fill="none" stroke="#000000" points="179,-171 0,-171 0,-147 179,-147 179,-171"/>
<text text-anchor="middle" x="89.5" y="-156.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">applyBoundaryConditionsTransport</text>
</g>
<!-- proc~interpolate -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_node2" class="node">
<title>proc~interpolate</title>
<g id="a_proc~~applyboundaryconditionstransport~~CallsGraph_node2"><a xlink:href=".././proc/interpolate.html" xlink:title="interpolate">
<polygon fill="#d9534f" stroke="#d9534f" points="310.5,-318 247.5,-318 247.5,-294 310.5,-294 310.5,-318"/>
<text text-anchor="middle" x="279" y="-303.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">interpolate</text>
</a>
</g>
</g>
<!-- proc~applyboundaryconditionstransport&#45;&gt;proc~interpolate -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_edge1" class="edge">
<title>proc~applyboundaryconditionstransport&#45;&gt;proc~interpolate</title>
<path fill="none" stroke="#000000" d="M98.4601,-171.2884C117.2844,-196.2609 163.4805,-253.2555 215,-285 222.0072,-289.3176 229.999,-292.8484 237.9043,-295.6988"/>
<polygon fill="#000000" stroke="#000000" points="236.8391,-299.0328 247.4323,-298.8452 239.0342,-292.3859 236.8391,-299.0328"/>
</g>
<!-- proc~neumann0boundary -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_node3" class="node">
<title>proc~neumann0boundary</title>
<g id="a_proc~~applyboundaryconditionstransport~~CallsGraph_node3"><a xlink:href=".././proc/neumann0boundary.html" xlink:title="neumann0Boundary">
<polygon fill="#d9534f" stroke="#d9534f" points="333.5,-276 224.5,-276 224.5,-252 333.5,-252 333.5,-276"/>
<text text-anchor="middle" x="279" y="-261.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">neumann0Boundary</text>
</a>
</g>
</g>
<!-- proc~applyboundaryconditionstransport&#45;&gt;proc~neumann0boundary -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_edge2" class="edge">
<title>proc~applyboundaryconditionstransport&#45;&gt;proc~neumann0boundary</title>
<path fill="none" stroke="#000000" d="M104.5192,-171.052C127.2677,-188.8282 172.3406,-222.2115 215,-243 218.8435,-244.873 222.8947,-246.6394 227.0157,-248.2913"/>
<polygon fill="#000000" stroke="#000000" points="226.1015,-251.6869 236.6935,-251.9346 228.5678,-245.1358 226.1015,-251.6869"/>
</g>
<!-- proc~dirichletboundary -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_node4" class="node">
<title>proc~dirichletboundary</title>
<g id="a_proc~~applyboundaryconditionstransport~~CallsGraph_node4"><a xlink:href=".././proc/dirichletboundary.html" xlink:title="dirichletBoundary">
<polygon fill="#d9534f" stroke="#d9534f" points="326.5,-234 231.5,-234 231.5,-210 326.5,-210 326.5,-234"/>
<text text-anchor="middle" x="279" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">dirichletBoundary</text>
</a>
</g>
</g>
<!-- proc~applyboundaryconditionstransport&#45;&gt;proc~dirichletboundary -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_edge3" class="edge">
<title>proc~applyboundaryconditionstransport&#45;&gt;proc~dirichletboundary</title>
<path fill="none" stroke="#000000" d="M125.1845,-171.0044C150.2906,-179.4349 184.6847,-190.9538 215,-201 220.6178,-202.8617 226.5157,-204.808 232.3634,-206.7328"/>
<polygon fill="#000000" stroke="#000000" points="231.5059,-210.1351 242.0988,-209.9329 233.6918,-203.4851 231.5059,-210.1351"/>
</g>
<!-- proc~robinboundary -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_node5" class="node">
<title>proc~robinboundary</title>
<g id="a_proc~~applyboundaryconditionstransport~~CallsGraph_node5"><a xlink:href=".././proc/robinboundary.html" xlink:title="robinBoundary">
<polygon fill="#d9534f" stroke="#d9534f" points="320,-192 238,-192 238,-168 320,-168 320,-192"/>
<text text-anchor="middle" x="279" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">robinBoundary</text>
</a>
</g>
</g>
<!-- proc~applyboundaryconditionstransport&#45;&gt;proc~robinboundary -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_edge4" class="edge">
<title>proc~applyboundaryconditionstransport&#45;&gt;proc~robinboundary</title>
<path fill="none" stroke="#000000" d="M179.2555,-168.9465C195.889,-170.7898 212.7284,-172.6559 227.7155,-174.3168"/>
<polygon fill="#000000" stroke="#000000" points="227.4453,-177.8082 237.77,-175.431 228.2164,-170.8507 227.4453,-177.8082"/>
</g>
<!-- proc~voidboundary -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_node6" class="node">
<title>proc~voidboundary</title>
<g id="a_proc~~applyboundaryconditionstransport~~CallsGraph_node6"><a xlink:href=".././proc/voidboundary.html" xlink:title="voidBoundary">
<polygon fill="#d9534f" stroke="#d9534f" points="318,-150 240,-150 240,-126 318,-126 318,-150"/>
<text text-anchor="middle" x="279" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">voidBoundary</text>
</a>
</g>
</g>
<!-- proc~applyboundaryconditionstransport&#45;&gt;proc~voidboundary -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_edge5" class="edge">
<title>proc~applyboundaryconditionstransport&#45;&gt;proc~voidboundary</title>
<path fill="none" stroke="#000000" d="M179.2555,-149.0535C196.5109,-147.1413 213.9877,-145.2045 229.3884,-143.4979"/>
<polygon fill="#000000" stroke="#000000" points="230.1369,-146.9364 239.6905,-142.3562 229.3659,-139.979 230.1369,-146.9364"/>
</g>
<!-- proc~neumannboundary -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_node7" class="node">
<title>proc~neumannboundary</title>
<g id="a_proc~~applyboundaryconditionstransport~~CallsGraph_node7"><a xlink:href=".././proc/neumannboundary.html" xlink:title="neumannBoundary">
<polygon fill="#d9534f" stroke="#d9534f" points="330.5,-108 227.5,-108 227.5,-84 330.5,-84 330.5,-108"/>
<text text-anchor="middle" x="279" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">neumannBoundary</text>
</a>
</g>
</g>
<!-- proc~applyboundaryconditionstransport&#45;&gt;proc~neumannboundary -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_edge6" class="edge">
<title>proc~applyboundaryconditionstransport&#45;&gt;proc~neumannboundary</title>
<path fill="none" stroke="#000000" d="M125.1845,-146.9956C150.2906,-138.5651 184.6847,-127.0462 215,-117 220.6178,-115.1383 226.5157,-113.192 232.3634,-111.2672"/>
<polygon fill="#000000" stroke="#000000" points="233.6918,-114.5149 242.0988,-108.0671 231.5059,-107.8649 233.6918,-114.5149"/>
</g>
<!-- proc~farfieldboundary -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_node8" class="node">
<title>proc~farfieldboundary</title>
<g id="a_proc~~applyboundaryconditionstransport~~CallsGraph_node8"><a xlink:href=".././proc/farfieldboundary.html" xlink:title="farFieldBoundary">
<polygon fill="#d9534f" stroke="#d9534f" points="326,-66 232,-66 232,-42 326,-42 326,-66"/>
<text text-anchor="middle" x="279" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">farFieldBoundary</text>
</a>
</g>
</g>
<!-- proc~applyboundaryconditionstransport&#45;&gt;proc~farfieldboundary -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_edge7" class="edge">
<title>proc~applyboundaryconditionstransport&#45;&gt;proc~farfieldboundary</title>
<path fill="none" stroke="#000000" d="M104.5192,-146.948C127.2677,-129.1718 172.3406,-95.7885 215,-75 218.8435,-73.127 222.8947,-71.3606 227.0157,-69.7087"/>
<polygon fill="#000000" stroke="#000000" points="228.5678,-72.8642 236.6935,-66.0654 226.1015,-66.3131 228.5678,-72.8642"/>
</g>
<!-- proc~prescribedfluxboundary -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_node9" class="node">
<title>proc~prescribedfluxboundary</title>
<g id="a_proc~~applyboundaryconditionstransport~~CallsGraph_node9"><a xlink:href=".././proc/prescribedfluxboundary.html" xlink:title="prescribedFluxBoundary">
<polygon fill="#d9534f" stroke="#d9534f" points="343,-24 215,-24 215,0 343,0 343,-24"/>
<text text-anchor="middle" x="279" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">prescribedFluxBoundary</text>
</a>
</g>
</g>
<!-- proc~applyboundaryconditionstransport&#45;&gt;proc~prescribedfluxboundary -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_edge8" class="edge">
<title>proc~applyboundaryconditionstransport&#45;&gt;proc~prescribedfluxboundary</title>
<path fill="none" stroke="#000000" d="M98.4601,-146.7116C117.2844,-121.7391 163.4805,-64.7445 215,-33 217.9261,-31.1971 221.0238,-29.5313 224.2153,-27.995"/>
<polygon fill="#000000" stroke="#000000" points="225.6197,-31.2009 233.3929,-24.0017 222.8268,-24.7822 225.6197,-31.2009"/>
</g>
<!-- harmonicinterpolation -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_node10" class="node">
<title>harmonicinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="512,-402 397,-402 397,-378 512,-378 512,-402"/>
<text text-anchor="middle" x="454.5" y="-387.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">harmonicinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;harmonicinterpolation -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_edge9" class="edge">
<title>proc~interpolate&#45;&gt;harmonicinterpolation</title>
<path fill="none" stroke="#000000" d="M294.8114,-318.0194C313.8668,-332.0036 347.2905,-354.9633 379,-369 383.7003,-371.0807 388.6577,-373.0046 393.6939,-374.7727"/>
<polygon fill="#000000" stroke="#000000" points="392.836,-378.1751 403.4291,-377.9811 395.0271,-371.5268 392.836,-378.1751"/>
</g>
<!-- gradientbasedinterpolation -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_node11" class="node">
<title>gradientbasedinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="524,-360 385,-360 385,-336 524,-336 524,-360"/>
<text text-anchor="middle" x="454.5" y="-345.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">gradientbasedinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;gradientbasedinterpolation -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_edge10" class="edge">
<title>proc~interpolate&#45;&gt;gradientbasedinterpolation</title>
<path fill="none" stroke="#000000" d="M310.7817,-313.6059C333.9189,-319.143 365.9658,-326.8123 393.9276,-333.504"/>
<polygon fill="#000000" stroke="#000000" points="393.4804,-336.9958 404.0205,-335.9194 395.1097,-330.188 393.4804,-336.9958"/>
</g>
<!-- tvdinterpolation -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_node12" class="node">
<title>tvdinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="497,-318 412,-318 412,-294 497,-294 497,-318"/>
<text text-anchor="middle" x="454.5" y="-303.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">tvdinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;tvdinterpolation -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_edge11" class="edge">
<title>proc~interpolate&#45;&gt;tvdinterpolation</title>
<path fill="none" stroke="#000000" d="M310.7817,-306C336.0527,-306 371.9524,-306 401.5493,-306"/>
<polygon fill="#000000" stroke="#000000" points="401.7275,-309.5001 411.7275,-306 401.7274,-302.5001 401.7275,-309.5001"/>
</g>
<!-- interpolateelementtofacestd -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_node13" class="node">
<title>interpolateelementtofacestd</title>
<polygon fill="#777777" stroke="#777777" points="527,-276 382,-276 382,-252 527,-252 527,-276"/>
<text text-anchor="middle" x="454.5" y="-261.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">interpolateelementtofacestd</text>
</g>
<!-- proc~interpolate&#45;&gt;interpolateelementtofacestd -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_edge12" class="edge">
<title>proc~interpolate&#45;&gt;interpolateelementtofacestd</title>
<path fill="none" stroke="#000000" d="M310.7817,-298.3941C333.9189,-292.857 365.9658,-285.1877 393.9276,-278.496"/>
<polygon fill="#000000" stroke="#000000" points="395.1097,-281.812 404.0205,-276.0806 393.4804,-275.0042 395.1097,-281.812"/>
</g>
<!-- proc~printinterpolationmethodslist -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_node14" class="node">
<title>proc~printinterpolationmethodslist</title>
<g id="a_proc~~applyboundaryconditionstransport~~CallsGraph_node14"><a xlink:href=".././proc/printinterpolationmethodslist.html" xlink:title="printInterpolationMethodsList">
<polygon fill="#d9534f" stroke="#d9534f" points="530,-234 379,-234 379,-210 530,-210 530,-234"/>
<text text-anchor="middle" x="454.5" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">printInterpolationMethodsList</text>
</a>
</g>
</g>
<!-- proc~interpolate&#45;&gt;proc~printinterpolationmethodslist -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_edge13" class="edge">
<title>proc~interpolate&#45;&gt;proc~printinterpolationmethodslist</title>
<path fill="none" stroke="#000000" d="M310.5049,-299.3533C321.3887,-296.129 333.2805,-291.5023 343,-285 363.4343,-271.3295 358.2582,-256.1993 379,-243 381.7548,-241.247 384.6566,-239.6381 387.6537,-238.1616"/>
<polygon fill="#000000" stroke="#000000" points="389.1251,-241.3382 396.879,-234.1183 386.3151,-234.927 389.1251,-241.3382"/>
</g>
<!-- flubiostop -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_node15" class="node">
<title>flubiostop</title>
<polygon fill="#777777" stroke="#777777" points="624,-234 566,-234 566,-210 624,-210 624,-234"/>
<text text-anchor="middle" x="595" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubiostop</text>
</g>
<!-- proc~printinterpolationmethodslist&#45;&gt;flubiostop -->
<g id="proc~~applyboundaryconditionstransport~~CallsGraph_edge14" class="edge">
<title>proc~printinterpolationmethodslist&#45;&gt;flubiostop</title>
<path fill="none" stroke="#000000" d="M530.0965,-222C538.9482,-222 547.686,-222 555.7435,-222"/>
<polygon fill="#000000" stroke="#000000" points="555.8963,-225.5001 565.8963,-222 555.8963,-218.5001 555.8963,-225.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>